import requests
url = "https://api.paywise.de/v2/mandates/{mandate_id}/payments/"
payload = {
"amount": {
"currency": "EUR",
"value": "50.00"
},
"value_date": "2026-07-17"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({amount: {currency: 'EUR', value: '50.00'}, value_date: '2026-07-17'})
};
fetch('https://api.paywise.de/v2/mandates/{mandate_id}/payments/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.paywise.de/v2/mandates/{mandate_id}/payments/")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": {\n \"currency\": \"EUR\",\n \"value\": \"50.00\"\n },\n \"value_date\": \"2026-07-17\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/mandates/{mandate_id}/payments/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Idempotency-Key", "<idempotency-key>");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"amount\": {\n \"currency\": \"EUR\",\n \"value\": \"50.00\"\n },\n \"value_date\": \"2026-07-17\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request POST \
--url https://api.paywise.de/v2/mandates/{mandate_id}/payments/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"amount": {
"currency": "EUR",
"value": "50.00"
},
"value_date": "2026-07-17"
}
'{
"amount": {
"currency": "<string>",
"value": "<string>"
},
"claim": {
"document_reference": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"your_reference": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mandate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference_number": "<string>"
},
"metadata": [
{
"type": "<string>",
"value": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z",
"value_date": "2023-12-25",
"your_reference": "<string>"
}{
"code": "validation_error",
"detail": "The request contains invalid data.",
"errors": [
{
"code": "invalid",
"field": "claims[0].due_date",
"message": "Due date must not precede the document date."
}
]
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "conflict",
"detail": "The resource changed state and cannot accept this command."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Create mandate payment
Immutable client payment reports under a main mandate or subcase.
import requests
url = "https://api.paywise.de/v2/mandates/{mandate_id}/payments/"
payload = {
"amount": {
"currency": "EUR",
"value": "50.00"
},
"value_date": "2026-07-17"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({amount: {currency: 'EUR', value: '50.00'}, value_date: '2026-07-17'})
};
fetch('https://api.paywise.de/v2/mandates/{mandate_id}/payments/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.paywise.de/v2/mandates/{mandate_id}/payments/")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": {\n \"currency\": \"EUR\",\n \"value\": \"50.00\"\n },\n \"value_date\": \"2026-07-17\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/mandates/{mandate_id}/payments/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Idempotency-Key", "<idempotency-key>");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"amount\": {\n \"currency\": \"EUR\",\n \"value\": \"50.00\"\n },\n \"value_date\": \"2026-07-17\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request POST \
--url https://api.paywise.de/v2/mandates/{mandate_id}/payments/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"amount": {
"currency": "EUR",
"value": "50.00"
},
"value_date": "2026-07-17"
}
'{
"amount": {
"currency": "<string>",
"value": "<string>"
},
"claim": {
"document_reference": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"your_reference": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mandate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference_number": "<string>"
},
"metadata": [
{
"type": "<string>",
"value": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z",
"value_date": "2023-12-25",
"your_reference": "<string>"
}{
"code": "validation_error",
"detail": "The request contains invalid data.",
"errors": [
{
"code": "invalid",
"field": "claims[0].due_date",
"message": "Due date must not precede the document date."
}
]
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "conflict",
"detail": "The resource changed state and cannot accept this command."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
Company-bound Case Management API key — the standard credential for this API.
Headers
Required when a Partner key calls the Case Management API; rejected for direct Case keys. Contains the entitled paywise company UUID.
Required client-supplied command key scoped to the selected Case company or Partner owner, method, operation and path. An exact retry replays the original response while it is retained, including after credential rotation or replacement. Current permissions are required.
255Path Parameters
UUID of the parent accepted case in this request.
Body
Payment input; the target is supplied exclusively by the URL.
Amount received.
Show child attributes
Show child attributes
Date on which the payment was credited; must not be in the future.
Metadata supplied when reporting the payment; duplicate types are allowed.
Show child attributes
Show child attributes
Your reference for reconciling this payment.
255Response
Read representation of one reported payment.
Amount received.
Show child attributes
Show child attributes
Claim to which the payment was reported.
Show child attributes
Show child attributes
Time at which the payment was reported.
Stable identifier of this reported payment.
Accepted case containing the claim.
Show child attributes
Show child attributes
Stored metadata entries; duplicate types remain separate entries.
Show child attributes
Show child attributes
Time at which the payment record was last updated.
Date on which the payment was credited.
Your reference for reconciling this payment.
